# CommissionSplitter

The CommissionSplitter is the contract used to implement [Commission Splitting](/main-rbtc-contract/money-on-chain-platform/public-actions/process-actions.md#commission-splitting) functionality. The contract has two main properties that can be modified by Governance:

* *commissionAddress*: Defines the final destination of the commissions after the split process takes place. Can be changed with `setCommissionAddress(address _commissionAddress)` function.
* *mocProportion*: Defines the proportion of the accumulated commissions that will be injected into MoC contract as collateral. Can be changed with `function setMocProportion(uint256 _mocProportion)`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moneyonchain.com/main-rbtc-contract/money-on-chain-platform/contracts-architecture/commission-splitter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
